Subject: requirement for celllular IPv6 host draft

From: Jun-ichiro itojun Hagino <[email-masked]>
Date: Tue, 19 Mar 2002 12:31:47 +0900

regarding to "is IPsec mandatory" discussion for cellular.
	see RFC2460 page 7.

>   A full implementation of IPv6 includes implementation of the
>   following extension headers:
>
>           Hop-by-Hop Options
>           Routing (Type 0)
>           Fragment
>           Destination Options
>           Authentication
>           Encapsulating Security Payload
>
>   The first four are specified in this document; the last two are
>   specified in [RFC-2402] and [RFC-2406], respectively.

	my interpretation: if cellular host does not implement "a full
	implementation of IPv6", cellular host can omit AH and ESP.
	so, I believe it okay for cellular host to omit AH/ESP, if needed.

itojun
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Francis Dupont <[email-masked]>
Date: Tue, 19 Mar 2002 04:46:19 +0100

>   following extension headers:
   
=> this wording is unfortunate: what is a partial implementation
of IPv6?

Regards

[email-masked]

PS: we definitely *need* an IPv6 host requirement document!

---

From: Tim Chown <[email-masked]>
Date: Tue, 19 Mar 2002 04:01:32 +0000 (GMT)

> 	so, I believe it okay for cellular host to omit AH/ESP, if needed.

Though section 10 of rfc2401 says:

All IPv6 systems MUST comply with all requirements of the Security 
Architecture document.

tim

---

From: Steve Deering <[email-masked]>
Date: Wed, 20 Mar 2002 22:06:16 -0800

>=> this wording is unfortunate: what is a partial implementation

It is an incomplete implementation.

Steve